	import * as THREE from 'three';

	// ID rack
	export function ridpremium(width=800, height=1900, depth=600) {
		const id_rackObject = new THREE.Object3D();
	
		const silvermaterial = new THREE.MeshLambertMaterial({color: 0xc5c2bd});
		const target = new THREE.MeshLambertMaterial({color: 0xfbe928});

		//rack
		const geometry = new THREE.BoxGeometry(width, height, depth);
		const rackmesh = new THREE.Mesh(geometry, silvermaterial);
		rackmesh.position.set( 0, 0 , 0);
		id_rackObject.add(rackmesh);	
		
		//front yellow target
		const Ftarget = new THREE.BoxGeometry(2, 90, 500);
		const Ftargetmesh = new THREE.Mesh(Ftarget, target);
		Ftargetmesh.position.set( -401, 900 , -15);
		id_rackObject.add(Ftargetmesh);
		
		//Rear yellow target
		const Rtarget = new THREE.BoxGeometry(2, 90, 500);
		const Rtargetmesh = new THREE.Mesh(Rtarget, target);
		Rtargetmesh.position.set( 401, 900 , -15);
		id_rackObject.add(Rtargetmesh);	
		
		//base and build texture
		const drawer1geometry = new THREE.BoxGeometry(2, height, width-200);
		const textureLoader = new THREE.TextureLoader();
		const texture = textureLoader.load('./components/idscreenfoto.jpg');
		texture.wrapS = texture.wrapT = THREE.RepeatWrapping;
		texture.repeat.set(1, 1);
		const material = new THREE.MeshBasicMaterial({ map: texture });
		const gridgeometrymesh = new THREE.Mesh(drawer1geometry, material);
		gridgeometrymesh.rotateX(Math.PI * 1);
		gridgeometrymesh.rotateY(Math.PI * 1);
		gridgeometrymesh.rotateZ(Math.PI * 1);
		gridgeometrymesh.position.set( -400, 0 , 0);
		id_rackObject.add(gridgeometrymesh);			
		
		return id_rackObject;
	}
		
	
	
